Python
import honeyhive
from honeyhive.models import components
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.update_run(run_id='<value>', update_run_request=components.UpdateRunRequest())
if res.update_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { UpdateRunRequest, UpdateRunRequestStatus } from "honeyhive/dist/models/components";
import { UpdateRunRequest } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const runId: string = "<value>";
const updateRunRequest: UpdateRunRequest = {
eventIds: [
"8fd0a069-f113-4c62-aab3-2506a8d15e19",
],
datapointIds: [
"<value>",
],
configuration: {
"key": "<value>",
},
metadata: {
"key": "<value>",
},
};
const res = await sdk.runs.updateRun(runId, updateRunRequest);
if (res.statusCode == 200) {
// handle response
}
}
run();curl --request PUT \
--url https://api.honeyhive.ai/runs/{run_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dataset_id": "<string>",
"datapoint_ids": [
"<string>"
],
"configuration": {},
"metadata": {},
"name": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
dataset_id: '<string>',
datapoint_ids: ['<string>'],
configuration: {},
metadata: {},
name: '<string>'
})
};
fetch('https://api.honeyhive.ai/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation": {},
"warning": "<string>"
}Experiments
Update an evaluation run
PUT
/
runs
/
{run_id}
Python
import honeyhive
from honeyhive.models import components
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.update_run(run_id='<value>', update_run_request=components.UpdateRunRequest())
if res.update_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { UpdateRunRequest, UpdateRunRequestStatus } from "honeyhive/dist/models/components";
import { UpdateRunRequest } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const runId: string = "<value>";
const updateRunRequest: UpdateRunRequest = {
eventIds: [
"8fd0a069-f113-4c62-aab3-2506a8d15e19",
],
datapointIds: [
"<value>",
],
configuration: {
"key": "<value>",
},
metadata: {
"key": "<value>",
},
};
const res = await sdk.runs.updateRun(runId, updateRunRequest);
if (res.statusCode == 200) {
// handle response
}
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Additional sessions/events to associate with this run
The UUID of the dataset this run is associated with
Additional datapoints to associate with this run
The configuration being used for this run
Additional metadata for the run
The name of the run to be displayed
Available options:
pending, completed Was this page helpful?
⌘I

